Skip to content

getPurchaseLinePivotLines

READ

Get purchase line pivot lines.

POST /api/v1/accounting/getPurchaseLinePivotLines
curl -X POST '<your-host>/api/v1/accounting/getPurchaseLinePivotLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "results": [
    {
      "amount": 0,
      "description": "string",
      "id": "string",
      "invoiceReadableId": "string",
      "itemReadableId": "string",
      "postingDate": "string",
      "quantity": 0,
      "supplierName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "startDate": {
      "type": "string"
    },
    "endDate": {
      "type": "string"
    },
    "rowField1": {
      "type": "string"
    },
    "rowValue1": {
      "type": "string"
    },
    "rowField2": {
      "type": "string"
    },
    "rowValue2": {
      "type": "string"
    },
    "columnField": {
      "type": "string"
    },
    "columnValue": {
      "type": "string"
    },
    "columnPeriodStart": {
      "type": "string"
    },
    "columnPeriodEnd": {
      "type": "string"
    }
  },
  "required": [
    "startDate",
    "endDate"
  ]
}